Go to the latest version of this document.

# ``twisted`.`python`.`log`.`_GlobalStartStopObserver``

class documentation

`class _GlobalStartStopObserver(ABC): (source)`

Known subclasses: `twisted.python.log.DefaultObserver`, `twisted.python.log.FileLogObserver`, `twisted.python.log.PythonLoggingObserver`

View In Hierarchy

Mix-in for global log observers that can start and stop.

Method | `emit` | Emit the given log event.
Method | `start` | Start observing log events.
Method | `stop` | Stop observing log events.

@abstractmethod
def emit(self, eventDict: `EventDict`): (source)
overridden in `twisted.python.log.DefaultObserver`, `twisted.python.log.FileLogObserver`, `twisted.python.log.PythonLoggingObserver`

Emit the given log event.

Parameters
eventDict:`EventDict` | a log event

def start(self): (source)

Start observing log events.

def stop(self): (source)

Stop observing log events.